# PlatformIO Shell Completion

Shell completion support for

- Fish

- Zsh

- Bash

- PowerShell

To print all available commands and options use:

    platformio misc completion --help
    platformio misc completion COMMAND --help
    pio misc completion --help

- platformio misc completion install
  - Usage
  - Description
  - Examples
- platformio misc completion uninstall
  - Usage
  - Description
  - Examples